# dkim_sig_getcanons()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_sig_getcanons(
    	DKIM_SIGINFO *sig,
            dkim_canon_t *hdr,
            dkim_canon_t *body
    );

Retrieve the canonicalizations used to apply a signature to a message.

DESCRIPTION

Called When | `dkim_sig_getcanons()` is called after `dkim_eoh()` to get the header and body canonicalization modes used to sign a message.

ARGUMENTS

Argument | Description
--- | ---
sig | The `DKIM_SIGINFO` handle representing the signature being evaluated.
hdr | A pointer to a `dkim_canon_t` which will receive the header canonicalization mode used when generating the provided signature. Can be NULL if this information is not needed by the caller.
body | A pointer to a `dkim_canon_t` which will receive the body canonicalization mode used when generating the provided signature. Can be NULL if this information is not needed by the caller.

NOTES

- None.

Copyright (c) 2005-2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.